Name:		pfqueue
Version:	0.5.6
Release:	%mkrel 9
Summary:	Queue manager for the Postfix or Exim mail transport agent
License:	GPLv2
Group:		Monitoring
Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		pfqueue-fixes.patch
Patch1:		pfqueue-fixes-literal.patch
URL:		http://pfqueue.sourceforge.net/
BuildRequires:	pkgconfig(ncurses)

%description
Pfqueue is a simple console tool for managing MTA (Mail Transfer
Agent) message queues. It handles queues through 'backends', libraries
that interact with the MTA, and displays informations through a
console, ncurses based 'frontend'.  Currently, pfqueue has backends
for Postfix (both 1.x and 2.x) and Exim (both version 3 and 4).

%prep
%setup -q
%patch0 -p0 -b .fix1
%patch1 -p1 -b .fix2

%build
# fix build on aarch64
autoreconf -vfi

%configure --disable-static
%make_build

%install
%makeinstall bindir=%{buildroot}%{_sbindir}

ln -s pfqueue.1 %{buildroot}/%{_mandir}/man1/spfqueue.1

# we don't want these
find %{buildroot} -name "*.la" -delete
rm -rf %{buildroot}%{_libdir}/*.so

%files
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README TODO
%{_sbindir}/pfqueue
%{_sbindir}/spfqueue
%{_libdir}/libpfq_*.so.*
%{_libdir}/libpfqueue.so.*
%{_mandir}/man1/pfqueue.1*
%{_mandir}/man1/spfqueue.1*
%{_mandir}/man5/pfqueue.conf.5*


%changelog
* Fri Feb 14 2020 umeabot <umeabot> 0.5.6-9.mga8
+ Revision: 1515920
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 0.5.6-8.mga7
+ Revision: 1300194
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 wally <wally> 0.5.6-7.mga7
+ Revision: 1236407
- fix build on aarch64

* Thu Nov 10 2016 ghibo <ghibo> 0.5.6-6.mga6
+ Revision: 1066210
- imported package pfqueue


* Wed Nov 09 2016 Giuseppe Ghibò - 0.5.6-5.mga6
- An old goody reimported into cauldron.
- Merged Patch0 and .desktop files from fedora.
- Build Patch1 for fixing further compilaton errors.

* Fri Aug 01 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.6-4mdv2009.0
+ Revision: 258926
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.5.6-3mdv2009.0
+ Revision: 246844
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Nov 21 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.5.6-1mdv2008.1
+ Revision: 110891
- drop private macro definitions
- new version

* Thu Aug 23 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.5.2-2mdv2008.0
+ Revision: 70391
- kill ldconfig require as requested by pixel

* Sun Jul 02 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-02 12:31:21 (38284)
- new upstream release 0.5.2

* Sun Jul 02 2006 Luca Berra <bluca@comedia.it>
+ 2006-07-02 12:19:56 (38282)
- import pfqueue-0.3.5-1mdk

* Fri Apr 15 2005 Luca Berra <bluca@vodka.it> 0.3.5-1mdk
- Initial contrib
